/*******************************************************************************
Copyright © 2023 Sebastian Roith <https://www.roith-unterrichtet.de>

Licensed under CC BY 4.0. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/
*******************************************************************************/

window.CODINGTASK = {
	"heading": "Auftrag",
	"html": "<p>Vertausche Attribute und Methoden: Ersetze jedes Attribut in der Klassendefinition rechts bzw. unten durch eine Methode und jede Methode durch ein Attribut. Der Ersatz soll dabei denselben Namen haben. Übernimm Datentypen von Attributen als Datentypen von Methodenrückgabewerten und umgekehrt. Innere Sequenzen kannst du frei festsetzen oder auch weglassen.</p>",
	"code": "class FOO {\n    int bar;\n    String name() {\n        return \"FOO-Objekt\";\n    }\n    float add(float s1, float s2) {\n        float sum = s1 + s2;\n        return sum;\n    }\n    FOO next;\n}",
	"canReset": true,
	"labelSubmit": "📥 Klassendefinition überprüfen",
	"checkType": "json",
	"checkData": [
		{
			"part": "class",
			"name": "FOO",
			"extends": "Object",
			"implements": [],
			"abstract": false,
			"final": false,
			"static": false,
			"content": [
				{
					"part": "method",
					"type": "int",
					"name": "bar",
					"dimensions": 0,
					"static": false
				},
				{
					"part": "attribute",
					"type": "String",
					"name": "name",
					"dimensions": 0,
					"static": false
				},
				{
					"part": "attribute",
					"type": "float",
					"dimensions": 0,
					"static": false,
					"name": "add"
				},
				{
					"part": "method",
					"type": "FOO",
					"dimensions": 0,
					"name": "next"
				}
			]
		}
	]
}
